mcrypt_list_algorithms
mcrypt_module_close
Mcrypt Functions
PHP Manual

# mcrypt_list_modes

(PHP 4 >= 4.0.2, PHP 5)

mcrypt_list_modes — Gets an array of all supported modes

### Description

array mcrypt_list_modes ([ string `$lib_dir` = ini_get("mcrypt.modes_dir") ] )

Gets the list of all supported modes in the `lib_dir` parameter.

### Parameters

`lib_dir`

  Specifies the directory where all modes are located. If not specified, the value of the mcrypt.modes_dir php.ini directive is used.

### Return Values

Returns an array with all the supported modes.

### Examples

Example #1 mcrypt_list_modes() Example

`<?php
$modes = mcrypt_list_modes();
foreach ($modes as $mode) {
echo "$mode <br />\n";
}
?>`

The example above will produce a list with all supported algorithms in the default mode directory. If it is not set with the mcrypt.modes_dir php.ini directive, the default directory of mcrypt is used (which is /usr/local/lib/libmcrypt).

mcrypt_list_algorithms
mcrypt_module_close
Mcrypt Functions
PHP Manual